FileLog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.logging
Class FileLog

    java.lang.Object
      org.jagatoo.logging.LogHandler
          org.jagatoo.logging.FileLog

    public class FileLog

extends LogHandler

This class implements the LogInterface and adds support for writing logs to files. The filename is specified in the constructor.

Author:
  David Yazel, Marvin Froehlich (aka Qudus)

Constructor Summary
`FileLog(java.io.File file)`
`FileLog(java.io.File file, boolean append, boolean autoFlush, boolean instantClose)`
`FileLog(int channelFilter, LogLevel logLevel, java.io.File file)`
`FileLog(int channelFilter, LogLevel logLevel, java.io.File file, boolean append, boolean autoFlush, boolean instantClose)`
`FileLog(int channelFilter, LogLevel logLevel, java.lang.String filename)`
`FileLog(int channelFilter, LogLevel logLevel, java.lang.String filename, boolean append, boolean autoFlush, boolean instantClose)`
`FileLog(LogLevel logLevel, java.io.File file)`
`FileLog(LogLevel logLevel, java.io.File file, boolean append, boolean autoFlush, boolean instantClose)`
`FileLog(LogLevel logLevel, java.lang.String filename)`
`FileLog(LogLevel logLevel, java.lang.String filename, boolean append, boolean autoFlush, boolean instantClose)`
`FileLog(java.lang.String filename)`
`FileLog(java.lang.String filename, boolean append, boolean autoFlush, boolean instantClose)`

Method Summary
`boolean` | `acceptsChannelAndLevel(LogChannel channel, int logLevel)`
`void` | `close()`
`void` | `endMessage()`
`void` | `flush()`
`void` | `print(LogChannel channel, int logLevel, java.lang.String message)`
`void` | `print(LogChannel channel, int logLevel, java.lang.Throwable t)`
`void` | `println(LogChannel channel, int logLevel, java.lang.String message)`

Methods inherited from class org.jagatoo.logging.LogHandler
`acceptsChannel, finalize, getChannelFilter, getLogLevel, getLogLevelLevel, setChannelFilter, setLogLevel, setLogLevel`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileLog

    public FileLog(int channelFilter,
                   LogLevel logLevel,
                   java.io.File file,
                   boolean append,
                   boolean autoFlush,
                   boolean instantClose)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(LogLevel logLevel,
                   java.io.File file,
                   boolean append,
                   boolean autoFlush,
                   boolean instantClose)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(java.io.File file,
                   boolean append,
                   boolean autoFlush,
                   boolean instantClose)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(int channelFilter,
                   LogLevel logLevel,
                   java.io.File file)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(LogLevel logLevel,
                   java.io.File file)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(java.io.File file)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(int channelFilter,
                   LogLevel logLevel,
                   java.lang.String filename,
                   boolean append,
                   boolean autoFlush,
                   boolean instantClose)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(LogLevel logLevel,
                   java.lang.String filename,
                   boolean append,
                   boolean autoFlush,
                   boolean instantClose)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(java.lang.String filename,
                   boolean append,
                   boolean autoFlush,
                   boolean instantClose)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(int channelFilter,
                   LogLevel logLevel,
                   java.lang.String filename)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(LogLevel logLevel,
                   java.lang.String filename)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileLog

    public FileLog(java.lang.String filename)
            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

Method Detail

### acceptsChannelAndLevel

    public boolean acceptsChannelAndLevel(LogChannel channel,
                                          int logLevel)

  Overrides:
    `acceptsChannelAndLevel` in class `LogHandler`

### print

    public void print(LogChannel channel,
                      int logLevel,
                      java.lang.String message)

  Specified by:
    `print` in class `LogHandler`

### println

    public void println(LogChannel channel,
                        int logLevel,
                        java.lang.String message)

  Specified by:
    `println` in class `LogHandler`

### print

    public void print(LogChannel channel,
                      int logLevel,
                      java.lang.Throwable t)

  Specified by:
    `print` in class `LogHandler`

### endMessage

    public void endMessage()

  Specified by:
    `endMessage` in class `LogHandler`

### flush

    public void flush()

  Specified by:
    `flush` in class `LogHandler`

### close

    public void close()

  Specified by:
    `close` in class `LogHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD